net::InterfaceIPv4Info Struct Reference

Interface specific IPv4 info. More...

`import"Net.idl";`

## Public Attributes

boolean | enabled
| `true` if IPv4 is enabled
IpConfigMethod | configMethod
| Interface configuration method.
vector< IpAddrCidr > | addrsCidr
| List of active IPv4 addresses with prefix length.
string | dhcpServerAddr
| IPv4 address of DHCP server or empty.
string | dhcpPreferredHostname
| Preferred hostname (only used with DHCP)

## Detailed Description

Interface specific IPv4 info.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Net.idl